#!/usr/bin/env bash

# These must be changed to reflect your genome and reads. See the STAR manual.
# --sjdbOverhang 75 \
# --genomeSAindexNbases 7

source /programs/biogrids.shrc
export STAR_M=2.7.0f

base_dir="$HOME/biogrids_workshop/reference_data"

STAR  \
--runThreadN 2 \
--runMode genomeGenerate \
--genomeDir ${base_dir} \
--genomeFastaFiles ${base_dir}/chr1_MOV10.fa \
--sjdbGTFfile ${base_dir}/chr1_MOV10.gtf \
--sjdbOverhang 75 \
--genomeSAindexNbases 7
